> For the complete documentation index, see [llms.txt](https://docs.oxapay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oxapay.com/legacy/api-reference/exchange-pairs.md).

# Exchange Pairs

Easily access a comprehensive list of exchangeable cryptocurrencies along with their minimum conversion amounts. This resource reveals the available options for the `fromCurrency` and `toCurrency` fields when conducting cryptocurrency conversions. Whether you're exchanging Bitcoin for Tether or Tether for Litecoin, this list provides valuable insights into the supported pairs and ensures seamless transactions with the specified minimum conversion amount.

<mark style="color:green;">`POST`</mark> `https://api.oxapay.com/exchange/pairs`

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "result": integer, // The result code indicates the success or failure of the request.
  "message": string, // A message providing additional information about the result.
  "pairs": array of Object // An array containing the supported exchange pairs in OxaPay. Each currency is represented as a object with fromCurrency, toCurrency, minAmount.
}
```

{% endtab %}
{% endtabs %}

### Sample output

<pre class="language-json"><code class="lang-json"><strong>{
</strong>    "result": 100,
    "message": "Successful operation",
    "pairs": [
        { "fromCurrency": "BTC", "toCurrency": "USDT", "minAmount": "0.0003" }, 
        { "fromCurrency": "ETH", "toCurrency": "USDT", "minAmount": "0.005" }, 
        { "fromCurrency": "BNB", "toCurrency": "USDT", "minAmount": "0.01" }, 
        { "fromCurrency": "LTC", "toCurrency": "USDT", "minAmount": "0.05" }, 
        { "fromCurrency": "TRX", "toCurrency": "USDT", "minAmount": "1" }, 
        { "fromCurrency": "DOGE", "toCurrency": "USDT", "minAmount": "1" }, 
        { "fromCurrency": "MATIC", "toCurrency": "USDT", "minAmount": "0.1" }, 
        { "fromCurrency": "TON", "toCurrency": "USDT", "minAmount": "0.1" }, 
        { "fromCurrency": "XMR", "toCurrency": "USDT", "minAmount": "0.01" }, 
        { "fromCurrency": "DGB", "toCurrency": "USDT", "minAmount": "50" }, 
        { "fromCurrency": "BCH", "toCurrency": "USDT", "minAmount": "0.005" }, 
        { "fromCurrency": "SHIB", "toCurrency": "USDT", "minAmount": "100000" }, 
        { "fromCurrency": "SOL", "toCurrency": "USDT", "minAmount": "0.008" }, 
        { "fromCurrency": "USDT", "toCurrency": "BTC", "minAmount": "1" }, 
        { "fromCurrency": "USDT", "toCurrency": "ETH", "minAmount": "1" }, 
        { "fromCurrency": "USDT", "toCurrency": "BNB", "minAmount": "1" }, 
        { "fromCurrency": "USDT", "toCurrency": "LTC", "minAmount": "1" }, 
        { "fromCurrency": "USDT", "toCurrency": "TRX", "minAmount": "1" }, 
        { "fromCurrency": "USDT", "toCurrency": "DOGE", "minAmount": "1" }, 
        { "fromCurrency": "USDT", "toCurrency": "MATIC", "minAmount": "1" }, 
        { "fromCurrency": "USDT", "toCurrency": "TON", "minAmount": "1" }, 
        { "fromCurrency": "USDT", "toCurrency": "XMR", "minAmount": "1" }, 
        { "fromCurrency": "USDT", "toCurrency": "DGB", "minAmount": "1" }, 
        { "fromCurrency": "USDT", "toCurrency": "BCH", "minAmount": "1" }, 
        { "fromCurrency": "USDT", "toCurrency": "SHIB", "minAmount": "1" }, 
        { "fromCurrency": "USDT", "toCurrency": "SOL", "minAmount": "1" }
    ]
}
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.oxapay.com/legacy/api-reference/exchange-pairs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
